Skip to main content
POST
/
workspaces
/
{workspace_id}
/
workflows
/
sync
/
pull
Error
A valid request URL is required to generate request examples
{
  "success": true,
  "commit_sha": "<string>",
  "workflows_found": 123,
  "workflows_imported": 123,
  "diagnostics": [
    {
      "workflow_path": "<string>",
      "workflow_title": "<string>",
      "message": "<string>",
      "details": {}
    }
  ],
  "message": "<string>",
  "resource_counts": {},
  "resource_diffs": [
    {
      "resource_type": "<string>",
      "source_id": "<string>",
      "source_path": "<string>",
      "title": "<string>",
      "diff": "<string>",
      "truncated": false
    }
  ],
  "files": [
    "<string>"
  ],
  "resources": [
    {
      "resource_type": "<string>",
      "source_id": "<string>",
      "name": "<string>",
      "path": "<string>"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Body

application/json

Request model for pulling workflows from a Git repository.

commit_sha
string
required

Specific commit SHA to pull from

Required string length: 40 - 64
dry_run
boolean
default:false

Validate only, don't perform actual import

sync_schedules
boolean
default:false

Apply schedule definitions from Git. Defaults off to preserve destination schedules.

Response

Successful Response

success
boolean
required
commit_sha
string
required
workflows_found
integer
required
workflows_imported
integer
required
diagnostics
PullDiagnostic · object[]
required
message
string
required
resource_counts
Resource Counts · object | null
resource_diffs
PullResourceDiff · object[] | null
files
string[] | null
resources
SyncPreviewResource · object[] | null